Jump to content
chiff-chaff

Problèmes modification fiches produits - Passage de 1.6.1.1 en 1.6.1.24 [RESOLU]

Recommended Posts

Bonjour

Je suis en 1.6.1.1

Depuis un bon moment, ma boutique prestashop est quasi inutilisable :

Lors de la création d'un nouveau produit, je peux  télécharger des visuels, insérer des textes de description et modifier les quantités en stock.

PAR CONTRE il m'est impossible de mettre les prix : ils ne s'enregistrent pas ! Du coup le produit est à 0 euros...

A noter qu'une fois la fiche créée et lorsque je reviens dessus, je ne peux plus modifier les textes de description car ils ne s'enregistrent pas non plus.

On m'a dit qu'il fallait passer en 1.7. Mais j'avais fait un post concernant le "1-click upgrade" qui ne fonctionne pas sur mon site et je n'ai pas eu de réponse.

Quelqu'un a-t-il une astuce pour modifier les prix sur 1.6.1.1 ? 

En vous remerciant

Bonne journée

Hervé

Edited by chiff-chaff (see edit history)

Share this post


Link to post
Share on other sites

Passer en 1.6.1.24 est suffisant (il y a juste 2 ligne à ajouter dans le contact-form.tpl de votre thème existant)

Le bug que vous décrivez a quand même 3 ans...

  • Thanks 1

Share this post


Link to post
Share on other sites

Bonsoir,

Pour ma part ça ne fait pas 3 ans que je rencontre ce souci mais à peu près 6 mois.

Les 2 lignes à ajouter, je peux les trouver quelque part ?

Doekia m'a envoyé un lien mais je vois tout un listing et ne sais pas ce qui concerne mon souci...

Cordialement

Hervé 

Share this post


Link to post
Share on other sites

Bonjour Eolia

J'ai ajouté les 2 lignes dans mon fichier "contact-form.tpl" que j'ai trouvé dans : www/themes/default-bootstrap

Mais pas de changement. Je ne peux toujours pas créer de nouveaux produits.

Que faire ?

Bonne journée

Hervé

Share this post


Link to post
Share on other sites

Euh... les 2 lignes à ajouter c'est juste si votre thème ne les a pas dans le contact-form.tpl.

Dans tous les cas il faut commencer par passer votre boutique en 1.6.1.24 comme écrit plus haut.

Share this post


Link to post
Share on other sites

Ok.

J'ai bien téléchargé le dossier zip "prestashop_1.6.1.24".

Par contre comme mon "1-click-Upgrade" ne fonctionne pas comment puis faire la mise à jour ?

 

 

Share this post


Link to post
Share on other sites

Comment ça "il ne fonctionne pas" ?

Share this post


Link to post
Share on other sites

je clique dessus (j'ai déjà essayé de nombreuses fois) et ça mouline sans effet jusqu'à ce que le temps de réponse soit dépassé 

Share this post


Link to post
Share on other sites

Vous pouvez être un peu plus précis svp ? Le module ne s'ouvre même pas ?

Share this post


Link to post
Share on other sites

Je viens de refaire une tentative et la page s'est ouverte.

Par contre j'ai 3 lignes avec un triangle jaune "attention" et pour lancer il faut que tous les indicateurs soient en vert :

Pour info, je vous soumets LES 3 LIGNES non à jour  :

The PHP version your server is running on is obsolete and needs to be upgraded. Learn more why or ignore.

PHP's max_execution_time setting has a high value or is disabled entirely (current value: 300 seconds)

PrestaShop requirements are not satisfied. See details or ignore.

D'après vous est-ce que pour les lignes 1 et 3 je peux faire "ignore" ?

Share this post


Link to post
Share on other sites

PHP 5.6  (à modifier chez votre hébergeur)

max_execution_time on s'en moque

Le 3, c'est quoi les détails ?

Share this post


Link to post
Share on other sites

ok donc c'est idem que le point 1

Pas besoin de demander à OVH vous pouvez le faire tout seul comme un grand dans la rubrique "hébergement" de votre domaine (1er onglet)

Share this post


Link to post
Share on other sites

Je fais tout cela et donnerai des infos ici prochainement

Grand merci en tout cas

Hervé

Share this post


Link to post
Share on other sites

Je suis donc allé sur OVH qui indique que je suis déjà en version PHP 5.6 mais avec un triangle "rouge" me disant que ma version n'est plus maintenue et nécessite une mise à jour.

Par contre, on me propose uniquement d'autres version PHP

Environnement d'exécution : Legacy

Version de PHP : 7.0 ou supérieure (7.1 / 7.2...) mais je ne sais pas si c'est compatible avec prestashop

Que puis-je faire pour pas tout faire bugger ?

Share this post


Link to post
Share on other sites

Autre chose que j'ai remarqué sur OVH

En laissant PHP 5.6 je pourrais changer la rubrique "Environnement d'exécution" en la faisant passer de "Legacy" à "Stable" (ou "testing")

Bonne idée ou pas ?

Edited by chiff-chaff (see edit history)

Share this post


Link to post
Share on other sites

PHP 5.6 avant la maj et vous passerez en PHP 7.1 max. après la maj.

Le mode stable est préférable chez OVH

Share this post


Link to post
Share on other sites

Dans 1-ClickUpgrade, prestashop propose un bouton mais qui visiblement mettra à jour en 1.7. 

Or je souhaite passer sur la version 1.6.1.24 

Sauriez-vous comment on télécharge la version que l'on souhaite ?

Share this post


Link to post
Share on other sites

Option avancé. Version mineure !

Share this post


Link to post
Share on other sites

On l'a expliqué 20 fois sur ce forum:

Plus d'options "Mode expert" -> Version mineure puis enregistrer.

Share this post


Link to post
Share on other sites

Avec la version 1.6.1.24 Prestashop fonctionne de nouveau très bien.

Vraiment un GRAND merci pour votre patience et vos conseils

Bon week-end

Share this post


Link to post
Share on other sites
Il y a 4 heures, Eolia a dit :

les 2 lignes à ajouter c'est juste si votre thème ne les a pas dans le contact-form.tpl.

 

Il y a 2 heures, Eolia a dit :

vous passerez en PHP 7.1 max. après la maj.

Ca a été laborieux quand même...

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More